REALPATH(1)

NOM
realpath - Afficher le chemin résolu

SYNOPSIS
realpath [OPTION]... FICHIER...

DESCRIPTION

Afficher le chemin absolu du fichier après résolution ; tous les composants excepté le dernier doivent exister

-e, --canonicalize-existing
    tous les composants du chemin doivent exister

-m, --canonicalize-missing
    aucun composant de chemin requis n'existe ou n'est un répertoire

-L, --logical
    résoudre les composants « .. » avant les liens symboliques

-P, --physical
    résoudre les liens symboliques lorsqu'ils sont parcourus (par défaut)

-q, --quiet
    supprimer la plupart des messages d'erreur

--relative-to=RÉP
    afficher le chemin résolu relativement à RÉP

--relative-base=RÉP
    afficher les chemins de manière absolue sauf ceux descendant de RÉP

-s, --strip, --no-symlinks
    ne pas résoudre les liens symboliques

-z, --zero
    terminer chaque ligne produite par un caractère NULL plutôt que par un changement de ligne

--help
    afficher l'aide-mémoire et quitter

--version
    afficher le nom et la version du logiciel et quitter

AUTEUR
Écrit par Padraig Brady.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
readlink(1), readlink(2), realpath(3)

Documentation complète : <https://www.gnu.org/software/coreutils/realpath>
aussi disponible localement à l’aide de la commande : info '(coreutils) realpath invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.